const { Configuration } = require("webpack");
const path = require("path");
const HtmlWebpackPlugin = require("html-webpack-plugin");

/**
 * @type {Configuration}
 */
const config = {
  entry: {
    index: path.resolve(__dirname, "./src/index.js"),
  },
  output: {
    path: path.join(__dirname, "./dist"),
    filename: "[name].js",
    publicPath: "/",
  },

  devtool: "source-map",
  mode: "development",
  watch: true,
  watchOptions: {
    poll: true,
  },
  devServer: {
    host: "0.0.0.0",
    static: {
      directory: path.resolve(__dirname, "dist"),
    },
    port: 8081,
  },
  target: "web",
  plugins: [
    new HtmlWebpackPlugin({
      title: "<%= name %>",
    }),
  ],
};

module.exports = config;
